Items

Get LucidID Details

  • Get the detailed information about a LucidID

  • Includes a list of all collections of which this item is a member

Endpoint

GET /api/v1.2/items/<uuid>/

Response

  • 404 - LucidID could not be found.

  • 200 - LucidID details returned successfully.

LucidID Details JSON format

{
    "created": "2021-02-05T19:26:28.351377Z",
    "lucidid_url": "<url>",
    "uuid": "<uuid>",
    "brand_uuid": "<uuid>",
    "product_uuid": "<uuid>",
    "batch_uuid": "<uuid>",
    "collections": [
        {
            "uuid": "<uuid>",
            "uuid_legacy": null,
            "identifier": "M3C114921224551001",
            "collection_type": "regulator",
            "added_on": "2026-02-18T16:45:16.135703Z",
            "name": "",
            "is_public": true,
            "removed_on": null,
            "activated_on": "2024-09-12T16:46:14.388768Z",
            "sub_type": "Batch",
            "lucid_ids_count": 1430,
            "company_name": "Lucid Green Brand Company",
            "collection_url": "<url>"
        },
        {
            "uuid": "<uuid>",
            "uuid_legacy": null,
            "identifier": "M3C114921224552002",
            "collection_type": "regulator",
            "added_on": "2026-02-18T16:45:16.135703Z",
            "name": "",
            "is_public": true,
            "removed_on": null,
            "activated_on": "2024-09-12T16:46:14.388768Z",
            "sub_type": "Transfer",
            "lucid_ids_count": 1430,
            "company_name": "Lucid Green Brand Company",
            "collection_url": "<url>"
        },
        {
            "uuid": "<uuid>",
            "uuid_legacy": null,
            "identifier": "M3C114921224552002",
            "collection_type": "case",
            "added_on": "2026-02-18T16:45:16.135703Z",
            "name": "",
            "is_public": true,
            "removed_on": null,
            "activated_on": "2024-09-12T16:46:14.388768Z",
            "sub_type": "",
            "lucid_ids_count": 1430,
            "company_name": "Lucid Green Brand Company",
            "collection_url": "<url>"
        }
    ],
    "removed_collections": []
}

Response Fields

Field

Type

Description

created

datetime

When the LucidID was created

lucidid_url

string

URL to view this LucidID

uuid

uuid

Unique identifier for the item (LucidID)

brand_uuid

uuid

UUID of the associated brand

product_uuid

uuid

UUID of the associated product

batch_uuid

uuid

UUID of the associated batch

collections

array

Collections this item belongs to

removed_collections

array

Collections this item was removed from

Collection Fields

Field

Type

Description

uuid

uuid

Collection identifier

uuid_legacy

uuid or null

Legacy UUID (deprecated)

identifier

string

Human-readable collection identifier (e.g., regulatory ID)

collection_type

string

Type: “regulator”, “case”, “origin”, etc.

added_on

datetime

When the item was added to this collection

name

string

Collection name

is_public

boolean

Whether the collection is publicly visible

removed_on

datetime or null

When the item was removed

activated_on

datetime

When the collection was activated

sub_type

string

Sub-type (e.g., “Batch”, “Transfer”, “Packaged product”)

lucid_ids_count

integer

Total number of LucidIDs in this collection

company_name

string

Name of the company that owns the collection

collection_url

string

URL to view this collection